
QGIS Application - Feature request #7810

update inputs lists after running a module

2013-05-12 09:54 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 16699

Description

It seems that after running a module (and the result added automatically to the toc) that the module input lists are not update. There are

cases where the user would like to re-run the same module with the newly created layer.

Related issues:

Duplicated by QGIS Application - Bug report # 12904: Processing: list of vari... Closed 2015-06-07

History

#1 - 2014-06-20 09:05 AM - Giovanni Manghi

- Project changed from 78 to QGIS Application

- Category deleted (68)

#2 - 2014-06-20 09:05 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have

- Category set to 94

- Priority changed from Low to Normal

#3 - 2015-04-10 08:13 AM - Paolo Cavallini

- Status changed from Open to Feedback

It seems to be working here - could you please confirm?

#4 - 2015-04-10 09:34 AM - Giovanni Manghi

- Status changed from Feedback to Open

does not work here on kde and windows.

#5 - 2015-06-07 04:04 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#6 - 2016-03-28 10:27 AM - Alexander Bruy

- Status changed from Open to Feedback

Should be fixed in master

#7 - 2016-04-11 02:29 AM - Alexander Bruy
- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

Fixed in master. Please reopen if necessary
